Page MenuHomePhabricator

Add "Give us your feedback" link to bottom of search page on English Wikipedia
Closed, ResolvedPublic

Description

Let's add a link to a Qualtrics survey so that users can give us their feedback.

The card for creating the survey is here: T98066

It's just a URL to a survey, nothing more. The URL for the survey hasn't been defined yet, so you can start working on this with a placeholder URL and add the URL in after we know what it is.

Mockup:

  • Stakeholder: Search & Discovery Team
  • Benefit: Qualitative user feedback will help us figure out what users like and don't like about our search
  • Estimate: To be added

Event Timeline

Deskana created this task.Jun 8 2015, 10:17 PM
Deskana updated the task description. (Show Details)
Deskana raised the priority of this task from to Normal.
Deskana added a project: Discovery.
Deskana added subscribers: Deskana, MSyed.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 8 2015, 10:17 PM
Deskana moved this task from Needs triage to Search on the Discovery board.Jun 8 2015, 10:18 PM
Deskana updated the task description. (Show Details)Jun 9 2015, 5:01 PM
Deskana set Security to None.

We should add to this task to figure out whether the changes we made to show it on the search page also make it show on mobile web. If it doesn't, that should be a separate task.

Jdouglas raised the priority of this task from Normal to High.Jun 10 2015, 6:54 PM

Do we need to edit *includes/specials/SpecialSearch.php*, or is there a way to do this via a template?

Deskana added a subscriber: Manybubbles.EditedJun 10 2015, 7:06 PM

@Manybubbles recommendation was to do this via code rather than via template.

We only want this to show on the English Wikipedia, so I guess it'll either need to live in an extension and/or there'll need to be some kind of flag somewhere to ensure that other wikis and third party users don't get this turned on by default. I'm agnostic to the exact solution that's chosen though, as long as it meets the product requirements. :-)

Do we need to edit *includes/specials/SpecialSearch.php*, or is there a way to do this via a template?

I suspect they'll be a hook we can use that SpecialSearch.php calls that we can implement in CirrusSearch for this. If there isn't we can add it.

I propose implementing the hook in cirrussearch just because its a pretty simple thing to do. We'd use a configuration parameter to turn the message on or off.

The Special:Search page isn't built like a regular wiki page so we can't just edit some template that it includes.

Here is a URL to the survey we can use for the link:
https://wikimedia.qualtrics.com/SE/?SID=SV_eLmmEQA9600f8zP

Please don't take the survey from that link, since it is just going to add more junk responses to the pool.

Change 217704 had a related patch set uploaded (by Legoktm):
Add a SpecialSearchResultsAppend hook

https://gerrit.wikimedia.org/r/217704

Change 217705 had a related patch set uploaded (by Jdouglas):
Add an optional "Give us your feedback" link

https://gerrit.wikimedia.org/r/217705

Change 217705 merged by jenkins-bot:
Add an optional "Give us your feedback" link

https://gerrit.wikimedia.org/r/217705

Change 217704 had a related patch set uploaded (by Jdouglas):
Add a SpecialSearchResultsAppend hook

https://gerrit.wikimedia.org/r/217704

This is now merged and will be part of the regular deployment train. We will turn this on via a configuration change in Thursday evening swat.

Change 217704 merged by jenkins-bot:
Add a SpecialSearchResultsAppend hook

https://gerrit.wikimedia.org/r/217704

How do we make the configuration change in production to enable this on enwiki?

EBernhardson added a comment.EditedJun 16 2015, 5:33 PM

copy/paste from irc yesterday:

11:39 <+ebernhardson> earldouglas: for prod LocalSettings, you want to clone 
                      https://gerrit.wikimedia.org/r/p/operations/mediawiki-config.git
11:39 <+ebernhardson> earldouglas: then there are two important files, wmf-config/CommonSettings.php and 
                      wmf-config/InitializeSettings.php
11:40 <+ebernhardson> InitializeSettings.php is basically a 20k line array definition that does per-wiki 
                      variable setting, then CommonSettings.php is basically the LocalSettings.php equiv
11:42 <+ebernhardson> convention would be that InitializeSettings.php has something like 
                      'wgCirrusSearchFeedbackLink => array( 'default' => false, 'enwiki' => 
                      'https://.....' );

After submitting the patch it gets added to the appropriate SWAT deploy in https://wikitech.wikimedia.org/wiki/Deployments. The person adding it to the SWAT needs to be available when SWAT starts (8am or 4pm SF time) on the #wikimedia-operations channel. The person deploying will ask if you are arround. After you confirm they will +2 the patch in jenkins, deploy your patch, and then they will ask if everything worked correctly.

I can put this all together and handle it if you need.

@EBernhardson thanks for the copy/pasta. I'll get it queued for the Thursday 18:00–20:00 UTC SWAT.

Change 218767 had a related patch set uploaded (by Jdouglas):
Enable wgCirrusSearchFeedbackLink on enwiki

https://gerrit.wikimedia.org/r/218767

This is mostly finished, but is blocked by the SWAT deploy that will actually turn the feature on.

Change 218767 merged by jenkins-bot:
Enable wgCirrusSearchFeedbackLink on enwiki

https://gerrit.wikimedia.org/r/218767

Deskana closed this task as Resolved.Jun 18 2015, 11:45 PM

Deployed.

Jdouglas raised the priority of this task from High to Needs Triage.